Subject: Re: [PATCH 00/14] SHA-1/SHA-256 interoperability, part 2

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Oct 2025 13:07:21 -0700

"brian m. carlson" <[email-masked]> writes:

> This is the second part of the SHA-1/SHA-256 interoperability work.  It
> introduces our first major use of Rust code to implement a loose object
> format as well as preparatory work to make that happen, including
> changing types to more Rust-friendly ones.  Since Rust will be required
> for the interoperability work, we require that in the testsuite.

So, "make WITH_RUST=YesPlease" on 'seen' seems to barf like so (line
wrapping added by me):

    ...
    AR libgit.a
    CARGO target/release/libgitcore.a
error: the `cargo::` syntax for build script output instructions was added \
	in Rust 1.77.0, but the minimum supported Rust version of `gitcore \
	v0.1.0 (/home/jch/w/git.build)` is 1.49.0.
Switch to the old `cargo:rustc-link-search=.` syntax (note the single colon).
See https://doc.rust-lang.org/cargo/reference/build-scripts.html#outputs-of\
	-the-build-script for more information about build script outputs.
gmake: *** [Makefile:2964: target/release/libgitcore.a] Error 101

We either need to downdate the syntax or do the following, but IIRC,
1.77 is a bit too new for the Debian oldstable?

 Cargo.toml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git c/Cargo.toml w/Cargo.toml
index 2f51bf5d5f..7772321dd7 100644
--- c/Cargo.toml
+++ w/Cargo.toml
@@ -2,7 +2,7 @@
 name = "gitcore"
 version = "0.1.0"
 edition = "2018"
-rust-version = "1.49.0"
+rust-version = "1.77.0"
 
 [lib]
 crate-type = ["staticlib"]